Mail::SpamAssassin::AutoWhitelist(3)

NAME
Mail::SpamAssassin::AutoWhitelist - auto-whitelist handler for SpamAssassin

SYNOPSIS
  (see Mail::SpamAssassin)

DESCRIPTION
Mail::SpamAssassin is a module to identify spam using text analysis and several internet-based realtime blacklists.

This class is used internally by SpamAssassin to manage the automatic whitelisting functionality. Please refer to the "Mail::SpamAssassin" documentation for public interfaces.

METHODS

$meanscore = awl->check_address($addr, $originating_ip);
    This method will return the mean score of all messages associated with the given address, or undef if the address hasn't been seen before.

    If $originating_ip is supplied, it will be used in the lookup.

awl->count();
    This method will return the count of messages used in determining the whitelist correction.

awl->add_score($score);
    This method will add half the score to the current entry. Half the score is used, so that repeated use of the same From and IP address combination will gradually reduce the score.

awl->add_known_good_address($addr);
    This method will add a score of -100 to the given address -- effectively "bootstrapping" the address as being one that should be whitelisted.

awl->add_known_bad_address($addr);
    This method will add a score of 100 to the given address -- effectively "bootstrapping" the address as being one that should be blacklisted.